with GNATCOM.Dispinterface;

package MSHTML.DispHTMLStyleSheetRule_Object is

   type DispHTMLStyleSheetRule_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_type
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cssText
     (This : DispHTMLStyleSheetRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_cssText
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentRule
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentStyleSheet
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_selectorText
     (This : DispHTMLStyleSheetRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_selectorText
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_style
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readOnly
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ie9_selectorText
     (This : DispHTMLStyleSheetRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ie9_selectorText
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function Get_msSpecificity
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

   function msGetSpecificity
     (This  : DispHTMLStyleSheetRule_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_constructor
     (This : DispHTMLStyleSheetRule_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLStyleSheetRule_Object;

